/*+++*
 *  title:	MailProxy.h
 *  abstract:	Interface of MailProxy for mailapp-utilities.
 *  author:	Tom Hageman <tom@basil.icce.rug.nl>
 *  created:	February 1998
 *  modified:	(see RCS Log at end)
 *  copyright:
 *
 *	Copyright (C) 1998  Tom R. Hageman, but otherwise perfect freeware.
 *
 *  description:
 *
 *      This module defines the following classes:
 *      - MailProxy
 *---*/

#ifdef RCS_MailProxy_ID
static const char * const RCS_h_id = ((void)&RCS_h_id,
	"@(#)MailProxy.h,v 1.1 1998/02/14 17:34:36");
#endif

#import "compat.h"

@interface MailProxy : ROOT_OBJECT
{
   // Keep instance variables private to outside world.
#ifdef _MailProxy_ivars
   _MailProxy_ivars
#endif
}

// Implementation feature tests.
+ (BOOL)canEditMessage;
+ (BOOL)canIncorporateNewMail;

- initWithMailer:(const char *)aMailer
   host:(const char *)aHostName
   forceLaunch:(BOOL)force;

#if NEXTSTEP
- (void)release;
#endif

- (const char *)hostname;
- (const char *)mailer;
- (BOOL)isConnected;

- (BOOL)sendMailTo:(const char *)to
   subject:(const char *)subject
   body:(const char *)body
   cc:(const char *)cc 
   deliver:(BOOL)deliver;

- (BOOL)incorporateNewMail;

@end // MailProxy
