/*+++*
 *  title:	optutil.h
 *  RCS         optutil.h,v 1.2 1997/05/31 21:52:31 tom Exp
 *  abstract:	command-line option handling support stuff.
 *  author:	Tom Hageman, The Netherlands <tom@basil.icce.rug.nl>
 *  created:	November 1996
 *  modified:	31 May 1997
 *---*/

#define EXIT_USAGE	2

// dummy exit codes -- the calling process never sees these.
#define EXIT_HELP	(-2)
#define EXIT_VERSION	(-3)

const char *basename(const char *path);

extern const char *_progname;

#if __GNUC__
static inline void set_progname(const char *name)  { _progname=basename(name); }
static inline const char *progname()               { return _progname; }
#else
void set_progname(const char *name);
const char *progname();
#endif

void handle_usage_help_version(int what, const char *usage, const char *help);
